package com.usky.eg.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.eg.domain.EgDevice;
import com.usky.common.mybatis.core.CrudService;
import com.usky.eg.service.vo.EgDeviceRequestVO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * <p>
 * 门禁_设备信息表 服务类
 * </p>
 *
 * @author zyj
 * @since 2024-11-27
 */
public interface EgDeviceService extends CrudService<EgDevice> {
    CommonPage<EgDevice> page(EgDeviceRequestVO requestVO);

    CommonPage<EgDevice> wePage(EgDeviceRequestVO requestVO);

    void add(EgDevice egDevice);

    void update(EgDevice egDevice);

    void attachUpdate(EgDevice egDevice);

    void remove(Integer id);

    boolean checkNameUnique(EgDevice egDevice);

    boolean checkDeviceNameUnique(EgDevice egDevice);

    Map<String,Object> control(String productCode, String deviceUuid, String commandCode, String commandValue, String domain, Long userId, String userName, Integer categoryType, String gatewayUuid);
}
